package com.huashe.park.core.mapper;

import com.huashe.park.domain.entity.BdFenceInfo;

import java.util.List;

/**
 * 围栏基础信息Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-14
 */
public interface BdFenceInfoMapper
{
    /**
     * 查询围栏基础信息
     *
     * @param id 围栏基础信息主键
     * @return 围栏基础信息
     */
    public BdFenceInfo selectBdFenceInfoById(Long id);

    /**
     * 查询围栏基础信息列表
     *
     * @param bdFenceInfo 围栏基础信息
     * @return 围栏基础信息集合
     */
    public List<BdFenceInfo> selectBdFenceInfoList(BdFenceInfo bdFenceInfo);

    /**
     * 新增围栏基础信息
     *
     * @param bdFenceInfo 围栏基础信息
     * @return 结果
     */
    public int insertBdFenceInfo(BdFenceInfo bdFenceInfo);

    /**
     * 修改围栏基础信息
     *
     * @param bdFenceInfo 围栏基础信息
     * @return 结果
     */
    public int updateBdFenceInfo(BdFenceInfo bdFenceInfo);

    /**
     * 删除围栏基础信息
     *
     * @param id 围栏基础信息主键
     * @return 结果
     */
    public int deleteBdFenceInfoById(Long id);

    /**
     * 批量删除围栏基础信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBdFenceInfoByIds(Long[] ids);
}
